from signal import signal, SIGTERM, SIGINT

from pipe_io_server import PipeIOServer


class EchoPipeIOServer(PipeIOServer):
    def _handle_message(self, message):
        self.send(message)


if __name__ == "__main__":
    pipe_io = EchoPipeIOServer()
    signal(SIGTERM, lambda a, b: pipe_io.stop())
    signal(SIGINT, lambda a, b: pipe_io.stop())
    pipe_io.run()
    print('Running pipe IO server with named pipes:')
    print(f'Input:  {pipe_io.in_pipe}')
    print(f'Output: {pipe_io.out_pipe}')
